using System;
using System.Collections;
using Common.Http;
using log4net;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace Esim.Apis.Business
{
    public interface IArticleBusiness
    {
        Task<IActionResult> ArticleCategory(HttpRequest httpRequest, ArticleCategoryReq request);
        Task<IActionResult> ArticleLoad(HttpRequest httpRequest, ArticleLoadReq request);
        Task<IActionResult> ArticleDetail(HttpRequest httpRequest, ArticleDetailReq request);
    }
}
